curl --request GET \
--url https://api.bridge.xyz/v0/transfers/static_templates \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/transfers/static_templates"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/transfers/static_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get all static templates
Authorizations
Query Parameters
The number of items to return (min 1, default 10, max 100)
1 <= x <= 100This is a transfer id. If this is specified, the next page that starts with a transfer right AFTER the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers older than the specified transfer id will be returned (shouldn't be set if ending_before is set)
This is a transfer id. If this is specified, the previous page that ends with a transfer right BEFORE the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers newer than the specified transfer id will be returned (shouldn't be set if starting_after is set)
Response
List of static templates (the returned list is empty if none found). Static templates are transfers that are used as templates for other transfers and can be created using the static_templates feature flag.
Was this page helpful?